Skip to main content
GET
/
jobs
/
{resource}
/
history
Get a job's run history
import requests

url = "https://{FUSION HOST}/api/jobs/{resource}/history"

response = requests.get(url)

print(response.text)
HttpResponse<String> response = Unirest.get("https://{FUSION HOST}/api/jobs/{resource}/history")
.asString();
const options = {method: 'GET'};

fetch('https://{FUSION HOST}/api/jobs/{resource}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
require 'uri'
require 'net/http'

url = URI("https://{FUSION HOST}/api/jobs/{resource}/history")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://{FUSION HOST}/api/jobs/{resource}/history"

req, _ := http.NewRequest("GET", url, nil)

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
<?php

$curl = curl_init();

curl_setopt_array($curl, [
CURLOPT_URL => "https://{FUSION HOST}/api/jobs/{resource}/history",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
curl --request GET \
--url https://{FUSION HOST}/api/jobs/{resource}/history
[
  {
    "resource": "datasource:movies-db",
    "startTime": "2017-05-17T21:01:46.743Z",
    "endTime": "2017-05-17T21:02:05.720Z",
    "status": "success"
  },
  {
    "resource": "datasource:movies-db",
    "startTime": "2017-05-17T20:58:10.503Z",
    "endTime": "2017-05-17T20:58:42.020Z",
    "status": "success"
  }
]

Path Parameters

resource
string
required

The job ID.

Query Parameters

limit
integer<int32>
default:100

Return first N history items.

Response

200 - */*

successful operation

resource

Resource reference as a string, such as 'datasource:ratings-db'

runId
string
read-only
startTime
string<date-time>
read-only
endTime
string<date-time>
read-only
status
string
read-only

Values include ready, running, success, aborted, or failed.

error
object
read-only
extra
object
read-only
startedBy
string
read-only